# Get Privacy Request

> The request (+ download_url for a completed export).

Source: https://shopassist.coec.dk/docs/api/reference/privacy/get-privacy-request · Updated 2026-11-03

`GET /v1/stores/{store_id}/privacy-requests/{request_id}`

- Scope: `privacy:write`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

The request (+ `download_url` for a completed export).

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `store_id` | path | `string` | yes |  |
| `request_id` | path | `string` | yes |  |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/privacy-requests/prq_01j8000000e008000000000000" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (MerchantPrivacyRequest) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `completed_at` | `string \| null` | yes | format date-time |
| `created_at` | `string` | yes | format date-time |
| `download_url` | `string \| null` | yes | Signed /v1/public/files/… URL (15 min) of a completed export; else null · format uri · ≤ 2048 characters |
| `due_at` | `string` | yes | format date-time |
| `id` | `string` | yes | pattern `^prq_[0-9a-hjkmnp-tv-z]{26}$` |
| `source` | `string (enum)` | yes | one of dashboard, merchant_api, shopify_customers_data_request, shopify_customers_redact, shopify_shop_redact, woocommerce, prestashop, magento2, operator |
| `stats` | `object` | yes |  |
| `status` | `"received" \| "processing" \| "completed" \| "failed" \| "cancelled"` | yes |  |
| `subject_summary` | `string` | yes | Masked, e.g. "email j***@example.com", "customer 4711" |
| `type` | `"export" \| "delete"` | yes |  |

```json
{
  "completed_at": "2026-09-28T10:15:30.123Z",
  "created_at": "2026-09-28T10:15:30.123Z",
  "download_url": "https://shop.example/products/linen-shirt",
  "due_at": "2026-09-28T10:15:30.123Z",
  "id": "prq_01j8000000e008000000000000",
  "source": "dashboard",
  "stats": {},
  "status": "received",
  "subject_summary": "string",
  "type": "export"
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 404 | Not Found ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
